unit UAboutPage;

{$mode delphi}

interface

uses
  Classes, SysUtils, FileUtil, UWebPage, UHTTPServer, UHtmlClasses;

type

  { TAboutPage }

  TAboutPage = class(TWebPage)
    procedure DataModuleProduce(HandlerData: THTTPHandlerData);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  AboutPage: TAboutPage;

implementation

{$R *.lfm}

uses
  UCore, UUtils;

{ TAboutPage }

procedure TAboutPage.DataModuleProduce(HandlerData: THTTPHandlerData);
var
  TextBlock: THtmlString;
begin
  with TWebSession(HandlerData) do begin
    LoadUserInfo;
    with HtmlDocument.Body, THtmlString(SubItems.AddNew(THtmlString.Create)) do begin
    Text := '<img align="left" src="' + NavigationLink('/images/umisteni.gif') + '" alt="Umístění obce"/>' +
      '<a href="' + NavigationLink('/images/pokryti.jpg') + '">' +
      '<img align="right" src="' + NavigationLink('/images/pokryti_nahled.jpg') + '" width="170" height="334" alt="Pokrytí obce signálem"/></a>' +
      '<strong>Informace o obci:</strong><br/>' +
      'Vesnice Zděchov se nachází pár kilometrů od obce Huslenky, jihovýchodním směrem od Vsetína. ' +
      'Je zasazena do typicky valašské krajiny roztroušených usedlostí a jalovcových pasek. Stojí zde dochovalé stavby lidové architektury, klasicistní kostel Proměnění Páně a kamenný kříž z roku 1778.<br/>' +
      'Zděchov poskytuje ideální podmínky pro celeroční rekreaci. Najdete zde koupaliště, lyžařský vlek a motokrosovou trať. Prochází tudy modrá turistická značka, odsud také vede žlutá značka, která tvoří spojnici se zelenou.<br/>' +
      '<br/>' +
      '<strong>Informace o síti:</strong><br/>' +
      'Počítačová síť postupně vznikla jako přirozená reakce na tehdejší situaci v informačních technologiích a jako reakce na nedostupnost vhodného internetového připojení pro domácnosti v obci. ' +
      'Členové komunity jsou mezi sebou propojeni pomocí kabelu nebo bezdrátové technologie Wi-Fi. K internetu jsou připojeni přes hlavní směrovač. ' +
      'Připojení je negarantované, avšak prvořadým cílem je maximální spolehlivost, stabilita, rychlost a dostupnost připojení. ' +
      'Jelikož je obec odlehlá a obklopena vysokými kopci, jsou zde možnosti jiného kabelového či bezdrátového připojení značně omezené. Síť vedená místními aktivisty také přináší řadu nadstandardních komunitních služeb.<br/>' +
      '<br/>' +
      '<i>Důvody ke vzniku sítě:</i><br/>' +
      '<ul>' +
      '<li>Možnost komunikace mezi členy formou textu, zvuku či videa</li>' +
      '<li>Dosažení rychlejšího a levnějšího nepřetržitého sdíleného internetového připojení bez omezení dat</li>' +
      '<li>Možnost šíření aktuálních informací z dění v obce</li>' +
      '<li>Sdílení společných dat</li>' +
      '<li>Společné hraní síťových her</li>' +
      '<li>Zprovoznění užitečných služeb (chat, aktuality, bazar, menu v jídelně, web kamery, aj.)</li>' +
      '</ul><br/>';

    Text := Text + '<br/>' +
      '<a href="' + NavigationLink('/images/pohlednice_stara.jpg') + '">' +
      '<img align="right" src="' + NavigationLink('/images/pohlednice_stara_mala.jpg') + '" alt="Stará pohlednice" /></a>';

    Text := Text + '<strong>Počty zákazníků:</strong><br/>' +
      'Připojených domácností v obci: 103<br/>' +
      'Připojených institucí: 1<br/>' +
      'Hosting serverů: 4<br/>' +
      'Celkem: 108<br/>' +
      '<br/>' +
      '<strong>Technické parametry sítě</strong><br/>' +
      'Internetové připojení: 80/80 Mbit/s, vyhrazené, symetrické, bez agregace, bez omezení přenesených dat, přes společnost <a href="http://www.inext.cz/">Internext 2000</a><br/>' +
      'Pokrytí obce signálem: asi 80%<br/>' +
      'V připojených domácnostech celkem 365 občanů ze všech 600 (61 %)<br/>' +
      '<br/>' +
      '<i>Aktualizováno: 21.1.2011</i>';
    end;
    GeneratePage(Self);
  end;
end;

initialization

end.

