unit UDocumentsPage;

{$mode delphi}

interface

uses
  Classes, SysUtils, FileUtil, UWebPage, UHTTPServer, UHtmlClasses;

type

  { TDocumentsPage }

  TDocumentsPage = class(TWebPage)
    procedure DataModuleProduce(HandlerData: THTTPHandlerData);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  DocumentsPage: TDocumentsPage;

implementation

{$R *.lfm}

uses
  UCore, UUtils;

{ TDocumentsPage }

procedure TDocumentsPage.DataModuleProduce(HandlerData: THTTPHandlerData);
begin
  with TWebSession(HandlerData) do begin
    LoadUserInfo;
    with HtmlDocument.Body, THtmlString(SubItems.AddNew(THtmlString.Create)) do begin
      Text := '<strong>O obci:</strong><br/>' +

      IconedLink(NavigationLink('/docs/Zdechovska_historie_a_soucasnost.pdf'), 'Zděchovská historie a současnost') + ' (1,6 MB)<br/>' +
      '<img src="' + NavigationLink('/images/icons/pdf.gif') + '" alt=""> Zděchov - klíč od hřebene Javorníků - propagační publikace obce (kvalita ' +
'<a href="' + NavigationLink('/docs/Zděchov - klíč od hřebene Javorníků (nízká kvalita).pdf') + '">nízká (1,8 MB)</a> ' +
'<a href="' + NavigationLink('/docs/Zděchov - klíč od hřebene Javorníků (střední kvalita).pdf') + '">střední (3,7 MB)</a> ' +
'<a href="' + NavigationLink('/docs/Zděchov - klíč od hřebene Javorníků (vysoká kvalita).pdf') + '">vysoká (7,2 MB)</a>)' +
'<br/><br/>' +
    '<strong>Propagace sítě v obci:</strong><br/>' +

      IconedLink(NavigationLink('/docs/info_na_infokanal_1.6.2006.pdf'), 'Aktualita na infokanálu (1.6.2006)') + '<br/>' +
      IconedLink(NavigationLink('/docs/info_na_infokanal_4.3.2005.pdf'), 'Aktualita na infokanálu (4.3.2005)') + '<br/>' +
      IconedLink(NavigationLink('/docs/info_na_infokanal_24.9.2004.pdf'), 'Aktualita na infokanálu (24.9.2004)') + '<br/>' +
      IconedLink(NavigationLink('/docs/vyzva_do_infokanalu_15.8.2004.pdf'), 'Výzva do infokanálu (15.8.2004)') + '<br/>';
    end;
    GeneratePage(Self);
  end;
end;

end.

