unit UHistoryPage;

{$mode delphi}

interface

uses
  Classes, SysUtils, FileUtil, UWebPage, UHTTPServer, UHtmlClasses, USqlDatabase;

type

  { THistoryPage }

  THistoryPage = class(TWebPage)
    procedure DataModuleProduce(HandlerData: THTTPHandlerData);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  HistoryPage: THistoryPage;

implementation

{$R *.lfm}

uses
  UCore, UUtils;

{ THistoryPage }

procedure THistoryPage.DataModuleProduce(HandlerData: THTTPHandlerData);
var
  DbRows: TDbRows;
  I: Integer;
begin
  with TWebSession(HandlerData) do begin
    LoadUserInfo;
    with HtmlDocument.Body, THtmlString(SubItems.AddNew(THtmlString.Create)) do begin
      Text := '<table>';
      try
        DbRows := TDbRows.Create;
        Database.Query(DbRows, 'SELECT * FROM History ORDER BY Date DESC');
        for I := 0 to DbRows.Count - 1 do begin
          Text := Text + '<tr><td style="text-align: right; vertical-align: top;">' +
            HumanDate(SQLToDateTime(DbRows[I].Values['Date'])) + '&nbsp;- </td><td>' +
            DbRows[I].Values['Text'] + '</td></tr>';
        end;
      finally
        DbRows.Free;
      end;
      Text := Text + '</table>';
    end;
    GeneratePage(Self);
  end;
end;

end.

