unit UHostingPage;

{$mode delphi}

interface

uses
  Classes, SysUtils, FileUtil, UWebPage, UHTTPServer, USqlDatabase, UHtmlClasses;

type

  { THostingPage }

  THostingPage = class(TWebPage)
    procedure DataModuleProduce(HandlerData: THTTPHandlerData);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  HostingPage: THostingPage;


implementation

{$R *.lfm}

uses
  UCore;

{ THostingPage }

procedure THostingPage.DataModuleProduce(HandlerData: THTTPHandlerData);
var
  I: Integer;
  DbRows: TDbRows;
begin
  with TWebSession(HandlerData) do begin
    LoadUserInfo;
    with HtmlDocument.Body, THtmlString(SubItems.AddNew(THtmlString.Create)) do begin
      Text := 'V nabídce je provoz virtualizovaných Linuxových serverů dle dohodnutých parameterů.<br/><br/>' +
      '<strong>Standardní varianty:</strong><br/>' +
      '<table class="WideTable">' +
      '<tr><th>Označení</th><th>Rychlost</th><th>Vyhrazená paměť</th><th>Pevný disk</th><th>Procesor</th><th>Cena [Kč/měsíc]</th></tr>';
      try
        DbRows := TDbRows.Create;
        Database.Query(DbRows, 'SELECT * FROM VPSHosting ORDER BY Price DESC');
        for I := 0 to DbRows.Count - 1 do
          Text := Text + '<tr><td>' + DbRows[I].Values['Name'] + '</td><td align="center">' +
            DbRows[I].Values['Internet'] + '</td><td align="center">' + DbRows[I].Values['Memory'] +
            '</td><td align="center">' + DbRows[I].Values['Space'] + '</td><td align="center">' +
            DbRows[I].Values['CPU'] + '</td><td align="center">' + DbRows[I].Values['Price'] + '</td></tr>';
      finally
        DbRows.Free;
      end;
      Text := Text + '</table>' +
      '<br/>' +
      'Prvních 7 dní zdarma, denní zálohování disků, ceny včetně DPH<br/>' +
      'Použité technologie: <a href="http://www.linux.cz/">GNU/Linux</a>, <a href="http://openvz.org/">OpenVZ</a>, <a href="http://pve.proxmox.com/">Proxmox VE</a>, <a href="http://backuppc.sourceforge.net/">BackupPC</a><br/>' +
      '<br/>' +
      '<i>Aktualizováno: 3.4.2010</i><br/><br/>';

      Text := Text + '<p>Hosting je využíván především pro provoz herních serverů MMORPG her jako např. World of Warcraft (WoW), Lineage II, Aion, aj.</p>';
      Text := Text + '<p>Instalovat lze mnoho různých linuxových distribucí. Seznam některých OpenVZ šablon <a href="http://download.openvz.org/template/precreated/">zde</a> nebo '
      + '<a href="http://download.openvz.org/contrib/template/precreated/">zde</a></p>';

      Text := Text + '<strong>Projekty využívající VPS hosting</strong><br/><ul>';
      try
        DbRows := TDbRows.Create;
        Database.Query(DbRows, 'SELECT * FROM `HostedProject` WHERE `Active`=1 AND `WebHosting`=0');
        for I := 0 to DbRows.Count - 1 do
          if DbRows[I].Values['Homepage'] <> '' then
          Text := Text + '<li><a href="' + DbRows[I].Values['Homepage'] + '">' +
            DbRows[I].Values['Name'] + '</a></li>'
            else Text := Text + '<li>' + DbRows[I].Values['Name'] + '</li>';
        Text := Text + '</ul>';
      finally
        DbRows.Free;
      end;

      Text := Text + '<br/><strong>Projekty využívající web hosting</strong><br/><ul>';
      try
        DbRows := TDbRows.Create;
        Database.Query(DbRows, 'SELECT * FROM `HostedProject` WHERE `Active`=1 AND `WebHosting`=1');
        for I := 0 to DbRows.Count - 1 do
          Text := Text + '<li><a href="' + DbRows[I].Values['Homepage'] + '">' +
            DbRows[I].Values['Name'] + '</a></li>';
        Text := Text + '</ul>';
      finally
        DbRows.Free;
      end;
    end;
    GeneratePage(Self);
  end;
end;

end.

