unit UInternetPage;

{$mode delphi}

interface

uses
  Classes, SysUtils, FileUtil, UWebPage, UHTTPServer;

type

  { TInternetPage }

  TInternetPage = class(TWebPage)
    procedure DataModuleProduce(HandlerData: THTTPHandlerData);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  InternetPage: TInternetPage;

implementation

{$R *.lfm}

uses
  UCore, UHtmlClasses;

{ TInternetPage }

procedure TInternetPage.DataModuleProduce(HandlerData: THTTPHandlerData);
begin
  with TWebSession(HandlerData) do begin
    LoadUserInfo;
    with HtmlDocument.Body, THtmlString(SubItems.AddNew(THtmlString.Create)) do begin
      Text := Text + 'Hlavní náplní činnosti sítě je poskytovat výhodné připojení k internetu pro občany.<br/><br/>' +
      '<strong>Nabídka tarifů:</strong><br/>' +

      '<table class="WideTable">' +
      '<tr><th>Označení</th><th>Rychlost</th><th>Agregace</th><th>Cena [Kč/měsíc]</th></tr>' +
      '<tr><td>Zdarma</td><td align="center">128 kbit/s</td><td align="center"></td><td align="center">0</td></tr>' +
      '<tr><td>Pomalejší</td><td align="center">4 Mbit/s</td><td align="center">1:20</td><td align="center">190</td></tr>' +
      '<tr><td>Pomalý</td><td align="center">8 Mbit/s</td><td align="center">1:20</td><td align="center">260</td></tr>' +
      '<tr><td>Střední</td><td align="center">16 Mbit/s</td><td align="center">1:20</td><td align="center">360</td></tr>' +
      '<tr><td>Rychlý</td><td align="center">32 Mbit/s</td><td align="center">1:20</td><td align="center">520</td></tr>' +
      '<tr><td>Rychlejší</td><td align="center">64 Mbit/s</td><td align="center">1:20</td><td align="center">750</td></tr>' +
      '</table>' +
      '<br/>' +
      'Rychlost všech tarifů je symetrická, není omezován objem přenášených dat, ceny včetně DPH.<br/>' +
      '<br/>' +
      '<i>Aktualizováno: 1.8.2011</i>';
    end;
    GeneratePage(Self);
  end;
end;

end.

