unit UNetworkPage;

{$mode delphi}

interface

uses
  Classes, SysUtils, FileUtil, UWebPage, UHTTPServer, UHtmlClasses;

type

  { TNetworkPage }

  TNetworkPage = class(TWebPage)
    procedure DataModuleProduce(HandlerData: THTTPHandlerData);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  NetworkPage: TNetworkPage;

implementation

{$R *.lfm}

uses
  UCore, UUtils;

{ TNetworkPage }

procedure TNetworkPage.DataModuleProduce(HandlerData: THTTPHandlerData);
var
  TextBlock: THtmlString;
begin
  with TWebSession(HandlerData) do begin
    LoadUserInfo;
    with HtmlDocument.Body, THtmlString(SubItems.AddNew(THtmlString.Create)) do begin
      Text := MakeLink('Historie', NavigationLink('/historie/')) + '<br/>' +
        MakeLink('Dokumenty', NavigationLink('/dokumenty/')) + '<br/>' +
        MakeLink('Plánované projekty', NavigationLink('/plany/')) + '<br/>';
    end;
    GeneratePage(Self);
  end;
end;

end.

