unit UProjectsPage;

{$mode delphi}

interface

uses
  Classes, SysUtils, FileUtil, UWebPage, UHtmlClasses, UHTTPServer, USqlDatabase;

type

  { TProjectsPage }

  TProjectsPage = class(TWebPage)
    procedure DataModuleProduce(HandlerData: THTTPHandlerData);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  ProjectsPage: TProjectsPage;

implementation

{$R *.lfm}

uses
  UCore;

{ TProjectsPage }

procedure TProjectsPage.DataModuleProduce(HandlerData: THTTPHandlerData);
var
  DbRows: TDbRows;
  I: Integer;
begin
  with TWebSession(HandlerData) do begin
    LoadUserInfo;
    with HtmlDocument.Body, THtmlString(SubItems.AddNew(THtmlString.Create)) do begin
      try
        DbRows := TDbRows.Create;
        Text := '<strong>Projekty:</strong><br />' +
          '<table class="WideTable">' +
          '<tr><th>Čas vytvoření</th><th>Čas dokončení</th><th>Popis</th><th>Veřejné</th></tr>';
        Database.Query(DbRows, 'SELECT * FROM `Plans` ORDER BY `TimeCreate` DESC');
        for I := 0 to DbRows.Count - 1 do begin
          Text := Text + '<tr><td>' + DbRows[I].Values['TimeCreate'] + '</td>' +
            '<td>' + DbRows[I].Values['TimeFinished'] + '</td>' +
            '<td>' + DbRows[I].Values['Description'] + '</td>' +
            '<td>' + DbRows[I].Values['Public'] + '</td></tr>';
        end;
        Text := Text + '</table>';
      finally
        DbRows.Free;
      end;
    end;
    GeneratePage(Self);
  end;
end;

end.

